[upgrade] Octane does not expecting 9.1 release in cluster data

Bug #1625083 reported by Vladimir Khlyunev on 2016-09-19
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Fuel for OpenStack
Critical
Ilya Kharin
Ilya Kharin (akscram) on 2016-09-19
Changed in fuel:
status: New → Confirmed
Ilya Kharin (akscram) on 2016-09-19
tags: added: team-upgrades

Fix proposed to branch: master
Review: https://review.openstack.org/372410

Changed in fuel:
status: Confirmed → In Progress

Reviewed: https://review.openstack.org/372415
Committed: https://git.openstack.org/cgit/openstack/fuel-octane/commit/?id=03a63cb06581cfe6e7ad9ec86aa41149ad5eae74
Submitter: Jenkins
Branch: stable/mitaka

commit 03a63cb06581cfe6e7ad9ec86aa41149ad5eae74
Author: Ilya Kharin <email address hidden>
Date: Mon Sep 19 13:51:46 2016 +0300

    Rename VERSIONS to UPGRADE_LEVELS

    This variable was renamed with more appropriate name to not confuse
    people.

    Change-Id: I444a2f44a8d8b2ed6538c397482191a7a2d4f65c
    Related-Bug: #1625083

tags: added: in-stable-mitaka

Reviewed: https://review.openstack.org/372416
Committed: https://git.openstack.org/cgit/openstack/fuel-octane/commit/?id=c0145127c2c520a0c97beea545a1f6dd5d0a4e31
Submitter: Jenkins
Branch: stable/mitaka

commit c0145127c2c520a0c97beea545a1f6dd5d0a4e31
Author: Ilya Kharin <email address hidden>
Date: Mon Sep 19 14:05:59 2016 +0300

    Add 9.1 with liberty upgrade levels

    All environments which are created on the 9.1 Fuel Master node have
    fuel_version is equal to 9.1. This release have to be added in
    UPGRADE_LEVELS with the 'liberty' compatibility to support N+1 and N+2
    upgrades.

    Change-Id: Ic4cd045e6d428ce5cfed65f385a689629a232332
    Closes-Bug: #1625083

Ilya Kharin (akscram) on 2016-09-19
Changed in fuel:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/372397
Committed: https://git.openstack.org/cgit/openstack/fuel-octane/commit/?id=6d470c338ebefd78764ff56b9bf793c9ac32608a
Submitter: Jenkins
Branch: master

commit 6d470c338ebefd78764ff56b9bf793c9ac32608a
Author: Ilya Kharin <email address hidden>
Date: Mon Sep 19 13:51:46 2016 +0300

    Rename VERSIONS to UPGRADE_LEVELS

    This variable was renamed with more appropriate name to not confuse
    people.

    Change-Id: I444a2f44a8d8b2ed6538c397482191a7a2d4f65c
    Related-Bug: #1625083

Reviewed: https://review.openstack.org/372410
Committed: https://git.openstack.org/cgit/openstack/fuel-octane/commit/?id=7de16ef0e98987bf6507b31804486916fa06e69a
Submitter: Jenkins
Branch: master

commit 7de16ef0e98987bf6507b31804486916fa06e69a
Author: Ilya Kharin <email address hidden>
Date: Mon Sep 19 14:05:59 2016 +0300

    Add 9.1 with liberty upgrade levels

    All environments which are created on the 9.1 Fuel Master node have
    fuel_version is equal to 9.1. This release have to be added in
    UPGRADE_LEVELS with the 'liberty' compatibility to support N+1 and N+2
    upgrades.

    Change-Id: Ic4cd045e6d428ce5cfed65f385a689629a232332
    Closes-Bug: #1625083
    (cherry picked from commit c0145127c2c520a0c97beea545a1f6dd5d0a4e31)

Vladimir Khlyunev (vkhlyunev) wrote :

verified on octane 1344

Changed in fuel:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers